<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.opentravel.org/OTA/2003/05" xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" id="OTA2007A" targetNamespace="http://www.opentravel.org/OTA/2003/05" version="2.007">
  <xsd:include schemaLocation="OTA_AirCommonTypes.xsd"/>
  <xsd:include schemaLocation="OTA_AirPreferences.xsd"/>
  <xsd:element name="OTA_AirLowFareSearchRQ">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element type="POS_Type" name="POS"/>
        <xsd:element name="ProcessingInfo" minOccurs="0">
          <xsd:complexType>
            <xsd:attributeGroup ref="AirProcessingInfoGroup"/>
          </xsd:complexType>
        </xsd:element>
        <xsd:element name="OriginDestinationInformation" maxOccurs="10">
          <xsd:complexType>
            <xsd:complexContent>
              <xsd:extension base="OriginDestinationInformationType">
                <xsd:sequence>
                  <xsd:element name="AlternateLocationInfo" minOccurs="0">
                    <xsd:complexType>
                      <xsd:attribute type="ListOfStringLength1to8" use="optional" name="OriginLocation"/>
                      <xsd:attribute type="ListOfStringLength1to8" use="optional" name="DestinationLocation"/>
                    </xsd:complexType>
                  </xsd:element>
                  <xsd:element ref="TPA_Extensions" minOccurs="0"/>
                </xsd:sequence>
                <xsd:attribute type="xs:string" use="optional" name="RPH"/>
                <xsd:attribute type="xs:integer" use="optional" name="RefNumber"/>
              </xsd:extension>
            </xsd:complexContent>
          </xsd:complexType>
        </xsd:element>
        <xsd:element type="SpecificFlightInfoType" name="SpecificFlightInfo" minOccurs="0"/>
        <xsd:element name="TravelPreferences" minOccurs="0" maxOccurs="10">
          <xsd:complexType>
            <xsd:complexContent>
              <xsd:extension base="AirSearchPrefsType">
                <xsd:attribute use="optional" name="FlexDatePref">
                  <xsd:simpleType>
                    <xsd:restriction base="xsd:string">
                      <xsd:enumeration value="Outbound"/>
                      <xsd:enumeration value="Return"/>
                      <xsd:enumeration value="Both"/>
                    </xsd:restriction>
                  </xsd:simpleType>
                </xsd:attribute>
                <xsd:attribute type="xs:boolean" use="optional" name="FlexWeekendIndicator"/>
                <xsd:attribute type="xs:boolean" use="optional" name="FlexLevelIndicator"/>
                <xsd:attribute type="xs:boolean" use="optional" name="NoFareBreakIndicator"/>
                <xsd:attribute type="ListOfRPH" use="optional" name="OriginDestinationRPHs"/>
              </xsd:extension>
            </xsd:complexContent>
          </xsd:complexType>
        </xsd:element>
        <xsd:element name="TravelerInfoSummary">
          <xsd:complexType>
            <xsd:complexContent>
              <xsd:extension base="TravelerInfoSummaryType">
                <xsd:attribute type="xs:string" use="optional" name="TicketingCountryCode"/>
                <xsd:attribute type="xs:boolean" use="optional" name="SpecificPTC_Indicator"/>
              </xsd:extension>
            </xsd:complexContent>
          </xsd:complexType>
        </xsd:element>
      </xsd:sequence>
      <xsd:attributeGroup ref="OTA_PayloadStdAttributes"/>
      <xsd:attributeGroup ref="MaxResponsesGroup"/>
      <xsd:attribute type="xs:boolean" use="optional" default="false" name="DirectFlightsOnly"/>
      <xsd:attribute type="xs:boolean" use="optional" name="AvailableFlightsOnly"/>
    </xsd:complexType>
  </xsd:element>
</xsd:schema>